# Step by Step Overview

The development process of a new Orbs Lambda cloud function includes the following steps:<br>

1. **Select a unique ID** for your lambda function (alpha-numeric characters and dashes).<br>
2. **Create a local git repository** conforming to the appropriate project structure.<br>
3. **Implement the logic** of your cloud function in JavaScript (or TypeScript).<br>
4. **Write a simple test suite** to verify your lambda function logic locally.<br>
5. **Deploy your lambda** by creating a PR (git pull request) to the official Orbs repo on GitHub.<br>
6. **Wait until your lambda is deployed** by the system, errors and feedback will appear on the PR.<br>
7. **Analyze execution** of your lambda in production by examining the network [status page](https://status.orbs.network).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orbs.network/v3/orbs-lambda/step-by-step-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
